//
// QPerforce is a gui interface to the perforce revision control
// system. It is based on the qt library, and should be easily portable
// across any platform that has this toolkit available.
// 
// Copyright (C) 2002 Jacob Gladish
// 
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
// 
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
//
#include "ConfigOptions.h"


ConfigOptions* ConfigOptions::_instance = 0;


ConfigOptions* ConfigOptions::getInstance()
{
  if (_instance == 0) {
    _instance = new ConfigOptions();
  }

  return _instance;
}

ConfigOptions::ConfigOptions()
{

}

ConfigOptions::~ConfigOptions()
{

}

bool ConfigOptions::showP4Commands()
{
  return _display._showP4CommandsInStatusPane;
}


//========================================================================
// Display OPtions
//
ConfigOptions::Display::Display()
{
  _showP4CommandsInStatusPane = true;
}

